Name: da_exim
Version: 4.54
Release: 1
Copyright: GPL
Group: System Environment/Daemons
Vendor: University of Cambridge
URL: http://www.exim.org
Packager: Peter Benie <pjb1008@eng.cam.ac.uk>
Source0: %{name}-%{version}.tar.gz
Source1: %{name}-Makefile
Source2: %{name}-sysconfig
Source3: %{name}-init
Source4: %{name}-logrotate
Source5: %{name}-config
Source6: %{name}-cert-config
Source7: %{name}-system-filter
Source8: %{name}-exim.pl
Summary: Mail Transfer Agent
BuildRoot: /var/tmp/buildexim.fG5iR2/%{name}-%{version}-root
Provides: smtpdaemon
Provides: %{_sbindir}/sendmail %{_bindir}/mailq %{_bindir}/runq
Prereq: /usr/sbin/useradd fileutils sh-utils

%description
Exim is a mail transfer agent (MTA) for hosts that are running Unix or
Unix-like operating systems. It was designed on the assumption that it
would be run on hosts that are permanently connected to the Internet.
However, it can be used on intermittently connected hosts with
suitable configuration adjustments.

%prep
%setup
cp ${RPM_SOURCE_DIR}/%{name}-Makefile Local/Makefile
%build
make build=Linux-i386

%install
for i in /usr/bin /usr/sbin /usr/share/doc /usr/lib \
    %{_mandir}/man8 /etc/sysconfig /etc/rc.d/init.d/ /etc/logrotate.d; do
	mkdir -p ${RPM_BUILD_ROOT}/$i
done
for i in exim exim_dumpdb exim_fixdb exim_tidydb exinext \
         exiwhat exim_dbmbuild exicyclog exigrep eximstats exiqsumm \
         exim_lock exim_checkaccess; do
	 cp build-Linux-i386/$i ${RPM_BUILD_ROOT}/usr/sbin
done
cp src/aliases.default ${RPM_BUILD_ROOT}/etc/aliases
mkdir -p ${RPM_BUILD_ROOT}/var/log/exim
mkdir -p ${RPM_BUILD_ROOT}/var/spool/exim
for i in /usr/sbin/sendmail /usr/bin/mailq /usr/bin/runq; do 
	ln -sf exim ${RPM_BUILD_ROOT}$i
done
ln -sf exim /usr/sbin/sendmail
ln -sf ../sbin/sendmail ${RPM_BUILD_ROOT}/usr/lib/sendmail 
ln -sf ../sbin/exim ${RPM_BUILD_ROOT}/usr/bin/newaliases
cp ${RPM_SOURCE_DIR}/%{name}-sysconfig ${RPM_BUILD_ROOT}/etc/sysconfig/exim
cp ${RPM_SOURCE_DIR}/%{name}-init ${RPM_BUILD_ROOT}/etc/rc.d/init.d/exim
cp ${RPM_SOURCE_DIR}/%{name}-logrotate ${RPM_BUILD_ROOT}/etc/logrotate.d/exim
cp ${RPM_SOURCE_DIR}/%{name}-config ${RPM_BUILD_ROOT}/etc/exim.conf
cp ${RPM_SOURCE_DIR}/%{name}-exim.pl ${RPM_BUILD_ROOT}/etc/exim.pl
cp ${RPM_SOURCE_DIR}/%{name}-system-filter ${RPM_BUILD_ROOT}/etc/system_filter.exim
/usr/bin/openssl req -x509 -newkey rsa:1024 -keyout ${RPM_BUILD_ROOT}/etc/exim.key -out ${RPM_BUILD_ROOT}/etc/exim.cert -days 9999 -nodes -config ${RPM_SOURCE_DIR}/%{name}-cert-config
mv doc/exim.8 ${RPM_BUILD_ROOT}/%{_mandir}/man8/exim.8 
for i in blacklist_domains whitelist_from use_rbl_domains; do
	touch /etc/virtual/$i;
	chown mail:mail /etc/virtual/$i;
	chmod 644 /etc/virtual/$i;
done
mkdir -p /etc/virtual/usage
chown mail:mail /etc/virtual/usage
chmod 600 /etc/virtual/usage
if [ ! -e /etc/virtual/limit ]; then 
	echo "0" > /etc/virtual/limit
	chmod 644 /etc/virtual/limit
	chown mail:mail /etc/virtual/limit
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(0755,root,root)
%config(noreplace) /etc/exim.conf
%config(noreplace) /etc/aliases
%config(noreplace) /etc/rc.d/init.d/exim
%config(noreplace) /etc/sysconfig/exim
%config(noreplace) /etc/logrotate.d/exim
%config(noreplace) /etc/exim.cert
/etc/system_filter.exim
/etc/exim.pl
%attr(0660,root,mail)
%config(noreplace) /etc/exim.key
%attr(4755,root,root) /usr/sbin/exim
/usr/sbin/exim_dumpdb
/usr/sbin/exim_fixdb
/usr/sbin/exim_tidydb
/usr/sbin/exinext
/usr/sbin/exiwhat
/usr/sbin/exim_dbmbuild
/usr/sbin/exicyclog
/usr/sbin/exigrep
/usr/sbin/eximstats
/usr/sbin/exiqsumm
/usr/sbin/exim_lock
/usr/sbin/exim_checkaccess
%{_mandir}/man8/exim.8*
%attr(0755,mail,mail) /var/log/exim
%attr(0755,mail,mail) /var/spool/exim
/usr/lib/sendmail
/usr/sbin/sendmail
/usr/bin/mailq
/usr/bin/runq
/usr/bin/newaliases

%defattr(-,root,root)
%doc doc/* CHANGES LICENCE NOTICE README.UPDATING src/configure.default

%pre
if [ "$1" = 1 ]; then
    output=`/usr/sbin/useradd -c "Exim MTA" -d /var/spool/exim -M -r -s /dev/null mail 2>&1`
    if [ $? -ne 0 -a $? -ne 9 ]; then
	echo "$output" >&2
	exit 1
    fi
fi

%post
for i in main process panic reject; do
    touch /var/log/exim/${i}log
    chown mail:mail /var/log/exim/${i}log
    chmod 644 /var/log/exim/${i}log
done

/sbin/chkconfig --add exim

%preun
if [ "$1" = 0 ]
then
        /sbin/service exim stop > /dev/null 2>&1
        /sbin/chkconfig --del exim
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service exim condrestart >/dev/null 2>&1
fi

%changelog
* Tue Mar 11 2003 Peter Benie <pjb1008@eng.cam.ac.uk>
- Incorporated changes suggested by Jon Peatfield for pid file handling

* Tue Mar 10 2003 Peter Benie <pjb1008@eng.cam.ac.uk>
- Added changes for /etc/alternatives

* Thu Jan 30 2003 Peter Benie <pjb1008@eng.cam.ac.uk>
- Removed scanner patch, changed configuration to suite engineering dept.

* Sat Dec 21 2002 Peter Benie <Peter.Benie@mvhi.com>
- Packaged up version 4.12

* Wed Dec 11 2002 Peter Benie <Peter.Benie@mvhi.com>
- Packaged up version 4.11

* Thu Dec  5 2002 Peter Benie <Peter.Benie@mvhi.com>
- Applied security patch for pid filename generation

* Mon Jul 22 2002 Peter Benie <Peter.Benie@mvhi.com>
- Packaged up version 4.10

* Mon Jun 24 2002 Peter Benie <Peter.Benie@mvhi.com>
- Packaged up version 4.05
